- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QSystemSemaphore Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qsystemsemaphore.h.

`#include <qsystemsemaphore.h>`

List of all members.

## Public Types
enum | AccessMode { Open, Create }
enum | SystemSemaphoreError { NoError, PermissionDenied, KeyError, AlreadyExists, NotFound, OutOfResources, UnknownError }
## Public Member Functions
| QSystemSemaphore (const QString &key, int initialValue=0, AccessMode mode=Open)
| ~QSystemSemaphore ()
void | setKey (const QString &key, int initialValue=0, AccessMode mode=Open)
QString | key () const
bool | acquire ()
bool | release (int n=1)
SystemSemaphoreError | error () const
QString | errorString () const

## Member Enumeration Documentation

enum AccessMode

Search for all occurrences

Enumerator:

  Open | Search for all occurrences
  Create | Search for all occurrences

Definition at line 62 of file qsystemsemaphore.h.

        {
            Open,
            Create
        };

enum SystemSemaphoreError

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  PermissionDenied | Search for all occurrences
  KeyError | Search for all occurrences
  AlreadyExists | Search for all occurrences
  NotFound | Search for all occurrences
  OutOfResources | Search for all occurrences
  UnknownError | Search for all occurrences

Definition at line 68 of file qsystemsemaphore.h.

        {
            NoError,
            PermissionDenied,
            KeyError,
            AlreadyExists,
            NotFound,
            OutOfResources,
            UnknownError
        };

## Constructor & Destructor Documentation

QSystemSemaphore | ( | const QString & | key,
|  | int | initialValue = `0`,
|  | AccessMode | mode = `Open`
| ) |  |

~QSystemSemaphore | ( |  | ) |

## Member Function Documentation

void setKey | ( | const QString & | key,
|  | int | initialValue = `0`,
|  | AccessMode | mode = `Open`
| ) |  |

Search for all occurrences

QString key | ( |  | ) | const

Search for all occurrences

bool acquire | ( |  | ) |

Search for all occurrences

bool release | ( | int | n = `1` | ) |

Search for all occurrences

SystemSemaphoreError error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qsystemsemaphore.h

QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore
QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore QSystemSemaphore